<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [IJsonPatch](./git-documentdb.ijsonpatch.md) &gt; [patch](./git-documentdb.ijsonpatch.patch.md)

## IJsonPatch.patch() method

<b>Signature:</b>

```typescript
patch(docOurs: JsonDoc, docTheirs: JsonDoc, diffOurs: {
        [key: string]: any;
    }, diffTheirs?: {
        [key: string]: any;
    } | undefined, strategy?: ConflictResolutionStrategyLabels): JsonDoc;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  docOurs | [JsonDoc](./git-documentdb.jsondoc.md) |  |
|  docTheirs | [JsonDoc](./git-documentdb.jsondoc.md) |  |
|  diffOurs | { \[key: string\]: any; } |  |
|  diffTheirs | { \[key: string\]: any; } \| undefined |  |
|  strategy | [ConflictResolutionStrategyLabels](./git-documentdb.conflictresolutionstrategylabels.md) |  |

<b>Returns:</b>

[JsonDoc](./git-documentdb.jsondoc.md)

